使用webpack遇到的问题

2018年04月07日Web前端

前段时间粗略的了解了些webpack的东西,现在终有时间详细地看下了。记录下在使用webpack中遇到的问题,我使用的版本是3.5.5。

一、style-loader与css-loader

这两个loader是这样去用的:

module: {
    rules: [
        {
            test: /.css$/,
            use: [
                'style-loader',
                'css-loader'
            ]
        }
    ]
}

或者使用1中的写法:

module: {
    loaders: [  
        {  
            test: /\.css$/,  
            loader: 'style-loaer!css-loader'  
        }  
    ]  
}

但是你必须要保证style-loader写在css-loader之前,否则执行时会有错误。

二、使用html-webpack-plugin时报错

在使用html-webpack-plugin插件时,控制台上有这样一个报错,

Error: Cannot find module 'webpack/lib/node/NodeTemplatePlugin'

这其实是因为webpack全局安装的问题,你只要在对于目录下重装下就可以了,

npm install --save-dev webpack@3.5.5

再次使用,就不会有报错了。